## tuxum-remote 0.3-5

=== Makefile ===
#!/usr/bin/make -f

install:
	mkdir -p /usr/lib/tuxum-remote
	install -m 0755 sh/ssh_authorize /usr/bin
	install -m 0755 sh/tuxumremote-schedule /usr/bin
	install -m 0755 sh/tuxumremote.functions /usr/lib/tuxum-remote
	install -m 0755 sh/tuxumremote.basefunctions /usr/lib/tuxum-remote

clean:
	rm -f config.sub
	rm -f config.guess

=== debian/changelog ===
tuxum-remote (0.3-5) unstable; urgency=low

  * Fixed packaging for Debian Stretch

 -- Pedro Echanove <pechanove@tuxum.com>  Wed, 14 Feb 2018 12:00:05 +0200

tuxum-remote (0.3-4) unstable; urgency=low

  * Added man pages to debian package

 -- Pedro Echanove <pechanove@tuxum.com>  Wed, 21 May 2014 17:20:07 +0200

tuxum-remote (0.3-3) unstable; urgency=low

  * Bug fixes

 -- Pedro Echanove <pechanove@tuxum.com>  Sat, 31 Mar 2012 10:57:41 +0200

tuxum-remote (0.3-2) unstable; urgency=low

  * Added ssh port support other than 22

 -- Pedro Echanove <pechanove@tuxum.com>  Thu, 15 Dec 2011 19:40:56 +0200

tuxum-remote (0.3-1) unstable; urgency=low

  * New upstream version

 -- Pedro Echanove <pechanove@tuxum.com>  Mon, 09 May 2011 12:56:59 +0200

tuxum-remote (0.2-1) unstable; urgency=low

  * Fixed config file detection on tuxumremote-schedule.

 -- Pedro Echanove <pechanove@tuxum.com>  Thu, 06 May 2010 12:58:48 +0200

tuxum-remote (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Pedro Echanove <pechanove@tuxum.com>  Wed, 21 Oct 2009 11:17:31 +0200

=== debian/control ===
Source: tuxum-remote
Section: Utilities
Priority: optional
Maintainer: Pedro Echanove <pechanove@tuxum.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 5

Package: tuxum-remote
Architecture: all
Maintainer: Pedro Echanove <pedro.echanove@tuxum.com>
Depends: sshfs, cron, at, gawk, fuse-utils | fuse, pmount
Description: TuxumOS remote scripts
 A set of scripts that allow to execute remote programs
 on *NIX and windows clients.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp:
	dh_testdir
	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tuxum-remote
	install -m 0755 $(CURDIR)/sh/ssh_authorize $(CURDIR)/debian/tuxum-remote/usr/bin
	install -m 0755 $(CURDIR)/sh/tuxumremote-schedule $(CURDIR)/debian/tuxum-remote/usr/bin
	install -m 0755 $(CURDIR)/sh/tuxumremote.functions $(CURDIR)/debian/tuxum-remote/usr/lib/tuxum-remote
	install -m 0755 $(CURDIR)/sh/tuxumremote.basefunctions $(CURDIR)/debian/tuxum-remote/usr/lib/tuxum-remote


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
